Bug 516515 - Review Request: globus-gfork - Globus Toolkit - GFork
Summary: Review Request: globus-gfork - Globus Toolkit - GFork
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 516517
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:01 UTC by Mattias Ellert
Modified: 2009-11-11 17:21 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-10-29 03:00:03 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:01:27 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-gfork.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gfork-0.2-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gfork package contains:
GFork

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-09-13 13:48:56 UTC
Hi,


1) The description is a little brief for gfork itself and could do with some
expansion to  describe gfork a little.

2) $ rpmlint ../RPMS/x86_64/globus-gfork-*
globus-gfork.x86_64: W: shared-lib-calls-exit /usr/lib64/libglobus_gfork.so.0.0.2 exit@GLIBC_2.2.5
globus-gfork-devel.x86_64: W: no-dependency-on globus-gfork/globus-gfork-libs/libglobus-gfork

should at least be commented upon. rpmlint of .src.rpm and .spec pass fine.

3) Koji build good.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1674890

4) Should there be a default configuration file?

[root@globus globus_gfork]# strace gfork 2>&1 | tail -3 
)               = 6
write(5, "(null)/etc/gfork.confNo such file"..., 33) = 33
exit_group(1)     

5) Not a blocker but there is not really any documentation for gfork
   in the package other than --help. Maybe that is enough.

Comment 2 Steve Traylen 2009-09-17 18:09:56 UTC
(2) is explained by bug #513811

Comment 3 Mattias Ellert 2009-10-09 14:26:28 UTC
I added a few lines from the README file in the package to the package description of the progs subpackage. These lines briefly describes what the gfork program does.

It will not be possible to add a working default configuration file to the package because the package only contains gfork itself, not any service that is run through gfork.

I added the README file to the package - I should have done that before, but most globus packages don't have a README file so I overlooked it. The README file does contain a configuration example.

Spec URL: http://www.grid.tsl.uu.se/review/globus-gfork.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gfork-0.2-2.fc11.src.rpm

Comment 4 Steve Traylen 2009-10-14 18:27:40 UTC
Concerning the configuration file it makes sense for at least 
and empty file with comments to be added otherwise /etc/gfork.conf will
not be owned by any package once it is created.

Comment 5 Steve Traylen 2009-10-14 20:05:52 UTC
Review of globus-gfork:

MUST:

no: $ rpmlint globus-gfork.spec ../SRPMS/globus-gfork-0.2-2.fc11.src.rpm ../RPMS/x86_64/globus-gfork-* 
globus-gfork.x86_64: W: shared-lib-calls-exit /usr/lib64/libglobus_gfork.so.0.0.2 exit@GLIBC_2.2.5
globus-gfork-devel.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 2 warnings.

The lib-calls-exit should be commented upon at least.

yes: Package name - globus guidelines
yes: Spec File name - globus guidelines
yes: Packaging guidelines
yes: Apache 2.0
yes: .spec ASL 2.0
yes: GLOBUS_LICENSE included.
yes: american english.
yes: Upstream source matches.
$ diff -r --brief globus_gfork-0.2 gt4.2.1-all-source-installer/source-trees/gridftp/gfork/source
Only in globus_gfork-0.2: GLOBUS_LICENSE

which is expected.

yes: builds as per koji build above.
yes: locales not present.
yes: Calls ldconfig appropriate
yes: No system libs included.
yes: not relocatable.
yes: All files and directories created in the package are owned.
yes: files not listed twice.
yes: defattr used everywhere.
yes: Buildroot is removed in %clean.
yes: consistant macros
yes: no large docs.
yes: docs not needed runtime.
yes: headeds in -devel file.
yes: libs correctly in -devel package.
yes: main package is needed by devel package.
yes: no .la files present.
yes: no gui.
yes: does not own files belonging to other packages.
yes: buildroot removed in %install.
yes: utf8


So just the comments on the /etc/gfork.conf and exit 0 from lib.

Steve

Comment 6 Mattias Ellert 2009-10-20 03:14:48 UTC
(In reply to comment #5)

> So just the comments on the /etc/gfork.conf and exit 0 from lib.
> 
> Steve  

I added an empty /etc/gfork.conf with a comment saying "This is the default gfork configuration file".

Spec URL: http://www.grid.tsl.uu.se/review/globus-gfork.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gfork-0.2-3.fc11.src.rpm

Calling exit from within a library is bad programming practice. However, fixing this issue is not a simple patch and involves changing the API of the library. Such changes should be done by upstream. I have reported the issue to upstream's bugzilla.

http://bugzilla.globus.org/globus/show_bug.cgi?id=6859

Comment 7 Steve Traylen 2009-10-22 18:58:12 UTC
APPROVED.
Steve

Comment 8 Mattias Ellert 2009-10-23 07:06:04 UTC
New Package CVS Request
=======================
Package Name: globus-gfork
Short Description: Globus Toolkit - GFork
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 9 Kevin Fenzi 2009-10-26 20:14:03 UTC
cvs done.

Comment 10 Fedora Update System 2009-10-27 04:20:53 UTC
globus-gfork-0.2-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-gfork-0.2-3.el5

Comment 11 Fedora Update System 2009-10-27 04:21:04 UTC
globus-gfork-0.2-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-gfork-0.2-3.el4

Comment 12 Fedora Update System 2009-10-27 04:22:41 UTC
globus-gfork-0.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gfork-0.2-3.fc11

Comment 13 Fedora Update System 2009-10-27 21:32:57 UTC
globus-gfork-0.2-3.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-gfork'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0758

Comment 14 Fedora Update System 2009-10-27 21:33:16 UTC
globus-gfork-0.2-3.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-gfork'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0761

Comment 15 Fedora Update System 2009-10-29 02:59:57 UTC
globus-gfork-0.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-11-11 17:21:12 UTC
globus-gfork-0.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-11-11 17:21:27 UTC
globus-gfork-0.2-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.